# Class CTabFolderElement

java.lang.Object
org.eclipse.e4.ui.css.core.dom.ElementAdapter
org.eclipse.e4.ui.css.swt.dom.WidgetElement
org.eclipse.e4.ui.css.swt.dom.ControlElement
org.eclipse.e4.ui.css.swt.dom.CompositeElement
org.eclipse.e4.ui.css.swt.dom.CTabFolderElement

All Implemented Interfaces:
  `ChildVisibilityAwareElement, CSSStylableElement, IStreamingNodeList, Element, Node, NodeList`

public class CTabFolderElement extends CompositeElement implements ChildVisibilityAwareElement
`CSSStylableElement` implementation which wrap SWT `CTabFolder`.

## Field Summary

### Fields inherited from class ControlElement

`hasFocus, hasMouseHover`

### Fields inherited from class WidgetElement

`localName, namespaceURI, swtStyles`

### Fields inherited from class ElementAdapter

`engine`

### Fields inherited from interface Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Constructor
Description
`CTabFolderElement(CTabFolder tabFolder, CSSEngine engine)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`computeStaticPseudoInstances()`
Compute static pseudo instances.
`void`
`dispose()`
Method called when `CSSEngine.dispose()` is called.
`int`
`getLength()`
`NodeList`
`getVisibleChildNodes()`
`void`
`initialize()`
Method called after the `CSSStylableElement` was linked to the native widget.
`Node`
`item(int index)`
`void`
`reset()`
Called by the CSS engine upon a CSS theme switch.
`static void`
`setBackgroundOverriddenDuringRenderering(Composite composite, Color background)`

### Methods inherited from class CompositeElement

`getComposite, hasBackgroundOverriddenByCSS, setBackgroundOverriddenByCSSMarker, stream`

### Methods inherited from class ControlElement

`getControl, getParentNode, isPseudoInstanceOf`

### Methods inherited from class WidgetElement

`applyStyles, computeAttributeSWTStyle, computeLocalName, computeNamespaceURI, getAttribute, getChildNodes, getCSSClass, getCSSClass, getCSSId, getCSSStyle, getEngine, getEngine, getID, getLocalName, getNamespaceURI, getWidget, hasAttribute, internalGetAttribute, setCSSClass, setEngine, setID, toString`

### Methods inherited from class ElementAdapter

`addStaticPseudoInstance, appendChild, cloneNode, compareDocumentPosition, copyDefaultStyleDeclarations, doApplyStyles, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDefaultStyleDeclaration, getElement, getElementsByTagName, getElementsByTagNameNS, getFeature, getFirstChild, getLastChild, getNativeWidget, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getPrefix, getPreviousSibling, getSchemaTypeInfo, getStaticPseudoInstances, getStyle, getTagName, getTextContent, getUserData, hasAttributeNS, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isStaticPseudoInstance, isSupported, lookupNamespaceURI, lookupPrefix, normalize, onStylesApplied, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultStyleDeclaration, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CTabFolderElement

public CTabFolderElement(CTabFolder tabFolder, CSSEngine engine)

## Method Details

### initialize

public void initialize()
Description copied from interface: `CSSStylableElement`
Method called after the `CSSStylableElement` was linked to the native widget. You can add UI listener into this method.

Specified by:
  `initialize` in interface `CSSStylableElement`
Overrides:
  `initialize` in class `ControlElement`

### dispose

public void dispose()
Description copied from interface: `CSSStylableElement`
Method called when `CSSEngine.dispose()` is called. You can remove UI listener into this method.

Specified by:
  `dispose` in interface `CSSStylableElement`
Overrides:
  `dispose` in class `ControlElement`

### computeStaticPseudoInstances

protected void computeStaticPseudoInstances()
Compute static pseudo instances.

Overrides:
  `computeStaticPseudoInstances` in class `WidgetElement`

### item

public Node item(int index)

Specified by:
  `item` in interface `NodeList`
Overrides:
  `item` in class `CompositeElement`

### getLength

public int getLength()

Specified by:
  `getLength` in interface `NodeList`
Overrides:
  `getLength` in class `CompositeElement`

### reset

public void reset()
Description copied from class: `WidgetElement`
Called by the CSS engine upon a CSS theme switch. Implementations should restore the default value so that the new theme can be applied to the application without restart

Overrides:
  `reset` in class `CompositeElement`

### getVisibleChildNodes

public NodeList getVisibleChildNodes()

Specified by:
  `getVisibleChildNodes` in interface `ChildVisibilityAwareElement`

### setBackgroundOverriddenDuringRenderering

public static void setBackgroundOverriddenDuringRenderering(Composite composite, Color background)